Package org.apache.catalina.mapper

# Class Mapper.ContextVersion

java.lang.Object
org.apache.catalina.mapper.Mapper.MapElement<Context>
org.apache.catalina.mapper.Mapper.ContextVersion

Enclosing class:
  `Mapper`

protected static final class Mapper.ContextVersion extends Mapper.MapElement<Context>

## Field Summary

Fields
Modifier and Type
Field
Description
`Mapper.MappedWrapper`
`defaultWrapper`
`Mapper.MappedWrapper[]`
`exactWrappers`
`Mapper.MappedWrapper[]`
`extensionWrappers`
`int`
`nesting`
`final String`
`path`
`final WebResourceRoot`
`resources`
`final int`
`slashCount`
`String[]`
`welcomeResources`
`Mapper.MappedWrapper[]`
`wildcardWrappers`

### Fields inherited from class org.apache.catalina.mapper.Mapper.MapElement

`name, object`

## Constructor Summary

Constructors
Constructor
Description
`ContextVersion(String version, String path, int slashCount, Context context, WebResourceRoot resources, String[] welcomeResources)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPaused()`
`void`
`markPaused()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### path

public final String path

### slashCount

public final int slashCount

### resources

public final WebResourceRoot resources

### welcomeResources

public String[] welcomeResources

### defaultWrapper

public Mapper.MappedWrapper defaultWrapper

### exactWrappers

public Mapper.MappedWrapper[] exactWrappers

### wildcardWrappers

public Mapper.MappedWrapper[] wildcardWrappers

### extensionWrappers

public Mapper.MappedWrapper[] extensionWrappers

### nesting

public int nesting

## Constructor Details

### ContextVersion

public ContextVersion(String version, String path, int slashCount, Context context, WebResourceRoot resources, String[] welcomeResources)

## Method Details

### isPaused

public boolean isPaused()

### markPaused

public void markPaused()